package net.northking.cctp.element.mobile;

import net.northking.cctp.element.core.AbstractLibrary;
import net.northking.cctp.element.core.annotation.Library;
import net.northking.cctp.element.core.type.LibraryConstant;
import net.northking.cctp.element.util.Javadoc2Libdoc;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>移动端组件库，包含Android端和ios端</p>
 * 该组件用于Android端和ios端手机的操控
 * 包含的手机端一下如下操作：
 * 点击文本、
 */
@Library(scanBasePackage = "net.northking.cctp.element.mobile",infoClass = MobileLibrary.class)
public class MobileLibrary extends AbstractLibrary {

    private static final Logger logger = LoggerFactory.getLogger(MobileLibrary.class);
    private static final Javadoc2Libdoc JAVA_DOC_2_LIB_DOC = new Javadoc2Libdoc(MobileLibrary.class);
    private static final String NAME = "NK.mobile";
    private static final String CH_NAME = "移动端通用组件库";
    private static final String VERSION = "2.1.44";
    private static final Integer TYPE = LibraryConstant.LIB_TYPE_NOT;

    @Override
    public Javadoc2Libdoc getLibDoc() {
        return JAVA_DOC_2_LIB_DOC;
    }

    @Override
    public void destroy() {
        logger.info("destroy done.");
    }

    @Override
    public String getName() {
        return NAME;
    }   

    @Override
    public String getChName() {
        return CH_NAME;
    }

    @Override
    public String getVersion() {
        return VERSION;
    }

    @Override
    public Integer getType() {
        return TYPE;
    }
}
